﻿@using System.Security.Cryptography
@using System.Web.Hosting
@model StarterProjectV2.ViewModels.OwnersAdditionalInfoEditView

@{
    ViewBag.Title = "AdditionalInformationEdit";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        .container1 {
            color: white;
            width: 128px;
            height: 128px;
        }

        .mycustom-file {
            /*position: relative;
            z-index: 2;
            width: 100%;
            height: calc(2.0625rem + 2px);
            margin: 0;
            opacity: 0;*/
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    @*<script src="https://code.jquery.com/jquery-1.10.2.js"></script>*@
    @*<script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>*@
    @*<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">*@

    @*for the tab switching*@
    @*<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet">*@
    @*<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.js"></script>*@
    @*<script type="text/javascript" src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>*@

    <script src="~/Content/vendors/js/toastr.min.js"></script>
    @*<script src="~/Content/vendors/js/coreui.min.js"></script>*@
}
@section PAGETITLE{
   Additional Info Edit
}
<h2>Please Fill Up the Additional Information</h2>
<div class="card">
    <ul class="nav nav-tabs myTabs" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" href="#attachments" role="tab" data-toggle="tab">Attachments</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#family" role="tab" data-toggle="tab">Family</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#nominees" role="tab" data-toggle="tab">Nominees</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#project" role="tab" data-toggle="tab">Project</a>
        </li>
        @*<li class="nav-item">
                <a class="nav-link" href="#roomslot" role="tab" data-toggle="tab">Room-Slot</a>
            </li>*@
    </ul>
    <div class="tab-content">
        <div id="attachments" class="tab-pane in active">
            <div class="row justify-content-center ">
                <div class="card-body">
                    <h1 class="text-center" style="color: indianred">Owner's Attachments Form</h1>
                    <p class="text-muted"></p>
                    <form>
                        <div class="form-group row mb-5">
                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner NID</label>
                            <div class="container1">
                                @{
                                    var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }

                                @*<img id="NID-pic" class="" src="@Url.Content(Model.OwnersAttachment.OwnerNID+ time1)" alt="HTML5 Icon" width="128" height="128">
                                    <input id="upload-file-attachment-NID" type="file" />*@
                                @*@{
                                        var src = HostingEnvironment.MapPath(Model.OwnersAttachment.OwnerNID).ToString();
                                    }*@
                                @{
                                    if (Model.IsNIDFileExists == true)
                                    {
                                        <img id="NID-pic" src="@Url.Content(Model.OwnersAttachment.OwnerNID +time1)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    }
                                    else
                                    {
                                        <img id="NID-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                    }
                                }
                                <div class="row ml-3"><input id="upload-file-attachment-NID" type="file" accept="image/jpeg, image/png" /></div>
                            </div>
                        </div>
                        <div class="form-group row mb-5">
                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner TIN</label>
                            <div class="container1">
                                @{
                                    var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                    if (Model.IsTINFileExists == true)
                                    {
                                        <img id="TIN-pic" src="@Url.Content(Model.OwnersAttachment.OwnerTIN + time2)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    }
                                    else
                                    {
                                        <img id="TIN-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                    }
                                }
                                <div class="row ml-3"><input id="upload-file-attachment-TIN" type="file" accept="image/jpeg, image/png" /></div>
                            </div>
                        </div>
                        <div class="form-group row mb-5">
                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Passport</label>
                            <div class="container1">
                                @{
                                    var time3 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                    if (Model.IsPassportFileExists == true)
                                    {
                                        <img id="passport-pic" src="@Url.Content(Model.OwnersAttachment.OwnerPassport + time3)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    }
                                    else
                                    {
                                        <img id="passport-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                    }
                                }
                                <div class="row ml-3"><input id="upload-file-attachment-Passport" type="file" accept="image/jpeg, image/png" /></div>
                            </div>
                        </div>
                        <div class="form-group row mb-5">
                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Driving License</label>
                            <div class="container1">
                                @{
                                    var time4 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                    if (Model.IsDrivingLicenseFileExists == true)
                                    {
                                        <img id="driving-pic" class="" src="@Url.Content(Model.OwnersAttachment.OwnerDrivingLicense + time4)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    }
                                    else
                                    {
                                        <img id="driving-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                    }
                                }
                                <div class="row ml-3"><input id="upload-file-attachment-DrivingLicense" type="file" accept="image/jpeg, image/png" /></div>
                            </div>
                        </div>
                        <div class="form-group row mb-5">
                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Utility Bill</label>
                            <div class="container1">
                                @{
                                    var time5 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                    if (Model.IsDrivingLicenseFileExists == true)
                                    {
                                        <img id="utility-pic" class="" src="@Url.Content(Model.OwnersAttachment.OwnerUtilityBill + time5)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    }
                                    else
                                    {
                                        <img id="utility-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                    }
                                }
                                <div class="row ml-3"><input id="upload-file-attachment-Utility" type="file" accept="image/jpeg, image/png" /></div>
                            </div>
                        </div>

                        @Html.HiddenFor(m => m.OwnersAttachment.OwnersAttachmentId)
                        @Html.HiddenFor(m => m.OwnersAttachment.OwnerId)

                        <div class="row">
                            <div>
                                <button type="button" class="btn btn-primary m-1" onClick="FullSubmitAttachment()">Submit</button>
                            </div>
                            <div>
                                <button type="button" class="btn btn-danger m-1">Reset</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div id="project" class="tab-pane fade">
            <div class="row justify-content-center ">
                <div class="card-body" id="class-body-project">
                    <h1 class="text-center" style="color: indianred">Owner's Project Information Form</h1>
                    <p class="text-muted"></p>
                    @using (Html.BeginForm("OwnersProjectInfoAddorEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                    {
                        <div class="input-group mb-3">
                            @*@Html.LabelFor(m => m.OPProjectName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })*@
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Project Name</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].ProjectName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Project Name", type = "text", id = "OPProjectName" })
                        </div>
                        <div class="input-group mb-3">
                            @*@Html.LabelFor(m => m.OPNumberOfRoom, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                            <label for="" class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Room</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].NumberOfRoom, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfRoom", type = "text", id = "OPNumberOfRoom" })
                            @*@Html.LabelFor(m => m.OPNumberOfDays, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Days</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].NumberOfDays, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfDays", type = "text", id = "OPNumberOfDays" })

                        </div>
                        <div class="input-group mb-3">
                            @*@Html.LabelFor(m => m.OPPurchaseDate, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Purchase Date</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].PurchaseDate,
                                new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "PurchaseDate", type = "date", id = "OPPurchaseDate" })
                        </div>
                        <div class="input-group mb-3">
                            @*@Html.LabelFor(m => m.OPSalesAmount, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Sales Amount</label>
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].SalesAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Sale Amount", type = "text", id = "OPSalesAmount" })
                            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Paid Amount</label>
                            @*@Html.LabelFor(m => m.OPPaidAmount, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                            @Html.TextBoxFor(m => m.OwnersProjectList[0].PaidAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = " Paid Amount", type = "text", id = "OPPaidAmount" })
                        </div>

                        <button type="button" class="btn btn-success m-1 but3">Add Installment Information</button>
                        <div class="projectinstallment">
                            @for (var i = 0; i < Model.OwnersProjectList.Count; i++)
                            {
                                <div class="row">
                                    <div class="col">
                                        <label for="OPPeriod">Time Period</label>
                                        @*<input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod">*@
                                        @Html.TextBoxFor(m => m.OwnersProjectList[i].Period, new { @class = "form-control", placeholder = "Time Period", type = "text", name = "OPPeriod", @id = "OPPeriod" })
                                    </div>
                                    <div class="col">
                                        <label for="OPDate">Date</label>
                                        @*<input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod">*@
                                        @Html.TextBoxFor(m => m.OwnersProjectList[i].Date, new { @class = "form-control", placeholder = "Owner's Name", type = "date", name = "OPDate", @id = "OPDate" })
                                    </div>
                                    <div class="col">
                                        <label for="OPAmount">Amount</label>
                                        @*<input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod">*@
                                        @Html.TextBoxFor(m => m.OwnersProjectList[i].Amount, new { @class = "form-control", placeholder = "Owner's Name", type = "text", name = "OPAmount", @id = "OPAmount" })
                                    </div>
                                </div>
                            }
                        </div>
                        <div class="row">
                            <div>
                                <button type="button" class="btn btn-primary m-1" onclick="retrieveProjects()">Submit</button>
                            </div>
                            <div>
                                <button type="button" class="btn btn-danger m-1">Reset</button>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
        <div id="nominees" class="tab-pane fade">
            <div class="row justify-content-center ">
                <div class="card-body">
                    <h1 class="text-center" style="color: indianred">Nominees Information Form</h1>
                    <p class="text-muted"></p>
                    @using (Html.BeginForm("OwnersNomineeInfoEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

                    {
                        <form>
                            <div class="all-nominees">
                                @for (var i = 0; i < Model.OwnersNomineeList.Count; i++)
                                {
                                    <div class="mb-5">
                                        <h3 class="mb-3" align="center" style="color: green">Nominee @(i + 1)</h3>
                                        <div class="row">
                                            <div class="col">
                                                <label for="ONNomineeName">Nominee's Name</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeName, new { @class = "form-control", placeholder = "Nominee Name", type = "text", name = "ONNomineeName", @id = "ONNomineeName", @required = "required" })
                                            </div>
                                            <div class="col">
                                                <label for="ONNomineeDOB">Nominee's Date of Birth</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeDOB, new { @class = "form-control", type = "date", name = "ONNomineeDOB", @id = "ONNomineeDOB" })
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col">
                                                <label for="ONNomineeEmail">Nominee's Email</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeEmail, new { @class = "form-control", placeholder = "Nominee Email", type = "text", name = "ONNomineeEmail", @id = "ONNomineeEmail" })
                                            </div>
                                            <div class="col">
                                                <label for="NomineeDOB">Nominee's Mobile No</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeMobile, new { @class = "form-control", type = "text", name = "ONNomineeMobile", @id = "ONNomineeMobile" })
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col">
                                                <label for="ONNomineePermanentAddress">Nominee's Permanent Address</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineePermanentAddress, new { @class = "form-control", placeholder = "Nominee Permanent Address", type = "text", name = "ONNomineePermanentAddress", @id = "ONNomineePermanentAddress" })
                                            </div>
                                            <div class="col">
                                                <label for="ONNomineePresentAddress">Nominee's Present Address</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineePresentAddress, new { @class = "form-control", placeholder = "Nominee Present Address", type = "text", name = "ONNomineePresentAddress", @id = "ONNomineePresentAddress" })
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col">
                                                <label for="ONNomineeNID">Nominee's NID</label>
                                                @Html.TextBoxFor(m => m.OwnersNomineeList[i].NomineeNID, new { @class = "form-control", placeholder = "Nominee NID", type = "text", name = "ONNomineeNID", @id = "ONNomineeNID" })
                                            </div>
                                        </div>
                                        <div class="mb-5">
                                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Nominee @(i + 1)</label>
                                            <div class="container1">
                                                @{
                                                    var time99 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                }
                                                <img id="nominee-pic_@i" class="" src="@Url.Content(Model.OwnersNomineeList[i].NomineePicture + time99)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                                <input class="nom_@i" id="ONNomineePicture_@i" name="@i" type="file" />
                                            </div>
                                        </div>
                                        <div class="mb-5">
                                            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Nominee @(i + 1)'s NID</label>
                                            <div class="container1">
                                                @{
                                                    var time98 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                }
                                                <img id="nominee-nid-pic_@i" class="" src="@Url.Content(Model.OwnersNomineeList[i].NomineeNIDPath + time98)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                                <input class="nom_nid_@i" id="ONNomineeNIDPath_@i" name="@i" type="file" />
                                            </div>
                                        </div>

                                        @Html.HiddenFor(m => m.OwnersNomineeList[i].OwnersNomineeId)
                                        @Html.HiddenFor(m => m.OwnersNomineeList[0].OwnerId)
                                    </div>
                                }

                            </div>
                            <div class="row">
                                <button type="submit" class="btn btn-primary m-1" onclick="NomineeFullSubmit()">Submit</button>
                                @*<button type="button" class="btn btn-danger m-1">Reset</button>*@
                                <button type="button" class="btn btn-success m-1 but2">Add Nominee</button>
                            </div>
                        </form>
                    }
                </div>
            </div>
        </div>
        <div id="family" class="tab-pane fade">
            <div class="row justify-content-center ">
                <div class="card-body" id="class-body-family">
                    <h1 class="text-center" style="color: indianred">Owner's Family Information Form</h1>
                    <p class="text-muted"></p>
                    @using (Html.BeginForm("OwnersFamilyInfoEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form", }))
                    {
                        <form>
                            <div class="form-group row mb-3">
                                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
                                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse Name", type = "text", id = "spouseName" })

                                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseDOB, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseDOB,
                                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Date Of Birth", type = "date", id = "spouseDOB" })
                            </div>
                            <div class="form-group row mb-3">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Spouse's NID</label>
                                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseNID, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse NID", type = "text", id = "spouseNID" })
                            </div>
                            <div class="form-group row mb-5">
                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse's NID</label>
                                <div class="container1 col-sm-9 col-lg-3 col-md-3" style="display: flex;flex-direction: column">
                                    @{
                                        var time6 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    <img id="spouse-NID-pic" class="" src="@Url.Content(Model.OwnersFamilyList[0].SpouseNIDPath + time6)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null; this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    <input id="upload-file-NID" type="file" style="margin-top:5px" />
                                </div>

                                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse</label>
                                <div class="container1 col-sm-9 col-lg-3 col-md-3" style="display: flex;flex-direction: column">
                                    @{
                                        var time7 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    <img id="spouse-pic" class="" src="@Url.Content(Model.OwnersFamilyList[0].SpousePicture + time7)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null; this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                    <input id="upload-file-picture" type="file" style="margin-top:5px" />
                                </div>
                            </div>
                            <div class="form-group row mb-3">
                                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseMobile, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseMobile, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "+880xxxxxxxxxx", type = "text", id = "spouseMobile" })
                                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseEmail, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseEmail, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "example@gmail.com", type = "text", id = "spouseEmail" })
                            </div>
                            <button type="button" class="btn btn-success m-1 but">Add Child</button>
                            <div class="children">
                                @*No of Family = @Model.OwnersFamilyList.Count*@
                                @for (var i = 0; i < Model.OwnersFamilyList.Count; i++)
                                {
                                    @*<div class="child_@i">*@
                                    <div class="row mb-5">
                                        <div class="col">
                                            <label for="ChildName">Child Name</label>
                                            @*<input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod">*@
                                            @Html.TextBoxFor(m => m.OwnersFamilyList[i].ChildName, new { @class = "form-control", placeholder = "Child Name", type = "text", name = "ChildName", @id = "ChildName" })
                                        </div>
                                        <div class="col">
                                            <label for="ChildDOB">Date of Birth</label>
                                            @Html.TextBoxFor(m => m.OwnersFamilyList[i].ChildDOB, new { @class = "form-control", type = "date", name = "ChildDOB", @id = "ChildDOB" })
                                        </div>

                                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Child @i</label>
                                        <div class="container1">
                                            @{
                                                var time9 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                            }
                                            @{
                                                if (Model.IsChildPictureExists[i] == true)
                                                {
                                                    <img id="child-pic_@i" class="" src="@Url.Content(Model.OwnersFamilyList[i].ChildPicture + time9)" alt="HTML5 Icon" width="128" height="128">
                                                }
                                                else
                                                {
                                                    <img id="child-pic_@i" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                                }
                                            }
                                            <input class="cp_@i" id="ChildPicture_@i" name="@i" type="file" />
                                        </div>
                                    </div>
                                    @*</div>*@
                                    @Html.HiddenFor(m => m.OwnersFamilyList[i].OwnersFamilyId)
                                    @Html.HiddenFor(m => m.OwnersFamilyList[i].OwnerId)
                                }
                            </div>
                            <div class="row">
                                <div>
                                    <button type="submit" class="btn btn-primary m-1" onclick="FullSubmit()">Submit</button>
                                </div>
                                <div>
                                    <button type="button" class="btn btn-danger m-1">Reset</button>
                                </div>
                            </div>
                        </form>
                    }
                </div>
            </div>
        </div>
    </div>
</div>
@*Nominee tab*@

<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersNomineeList.Count;
        //alert(childNameListCnt);
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="nom_' + i + '"]').addEventListener('change', function () {
                //alert('hey');
                //alert(input.id);
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    //alert(this.name);
                    //alert('#child-pic_' + i);
                    //alert($('#child-pic_' + idx)[0]);
                    var Id = 'nominee-pic_' + idx;
                    //alert(document.getElementById(Id));
                    var img = $('#nominee-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }

    });
</script>
<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersNomineeList.Count;
        //alert(childNameListCnt);
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="nom_nid_' + i + '"]').addEventListener('change', function () {
                //alert('hey');
                //alert(input.id);
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    //alert(this.name);
                    //alert('#child-pic_' + i);
                    //alert($('#child-pic_' + idx)[0]);
                    var Id = 'nominee-nid-pic_' + idx;
                    //alert(document.getElementById(Id));
                    var img = $('#nominee-nid-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }

    });
</script>

<script>
    //var idx = 1;
    var nomineeNo = @Model.OwnersNomineeList.Count;
    var addNominee = function () {
        //idx = idx + 1;
        $('.all-nominees').append('' +
            '<div class="identifier' + nomineeNo + ' mb-5">' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Name</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeName" name="NomineeName" id="ONNomineeName">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Date Of Birth</label>' +
            '<div class="col">' +
            '<input type="date" class="form-control" placeholder="Nominee Date of Birth" id="ONNomineeDOB">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Email</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeEmail" name="NomineeEmail" id="ONNomineeEmail">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Mobile No</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineeMobile" id="ONNomineeMobile">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-2">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Permanent Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePermanentAddress" name="ONNomineePermanentAddress" id="ONNomineePermanentAddress">' +
            '</div>' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee Present Address</label>' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="NomineePresentAddress" id="ONNomineePresentAddress">' +
            '</div>' +
            '</div>' +
            '<div class="row mb-4">' +
            '<label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Nominee NID</label>' +
            '<div class="col-sm-3 col-lg-4 col-md-3 col-form">' +
            '<input type="text" class="form-control" placeholder="NomineeNID" name="ONNomineeNID" id="ONNomineeNID">' +
            '</div>' +
            '</div>' +

            //'<div class="row mb-2">' +
            //'<label class="col-sm-3 col-lg-2 col-md-3 col-form-label mr-2">Nominee Picture</label>' +
            //'<div class="col-sm-3 col-lg-2 col-md-3">' +
            //'<input type="file" class="custom-file-input nom_' + idx +'" id="ONNomineePicture" name="file" />' +
            //'<label class="custom-file-label" for="upload-file-NomineePicture" id="upload-file-NomineePicture-label">Choose file</label>' +
            //'</div>' +
            //'</div>' +
            '<div class="col">' +
            '<img id="nominee-pic_' + nomineeNo + '" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">' +
            '<input class="nom_' + nomineeNo + '" id="ONNomineePicture_' + nomineeNo + '" name="' + nomineeNo + '" type="file" />' +
            '</div>' +

            '<div class="col">' +
            '<img id="nominee-nid-pic_' + nomineeNo + '" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">' +
            '<input class="nom_nid_' + nomineeNo + '" id="ONNomineeNIDPath_' + nomineeNo + '" name="' + nomineeNo + '" type="file" />' +
            '</div>' +


            '<button type="button" class="btn btn-danger deleteNominee" onclick="deleteNominee(' + nomineeNo + ')" value="identifier' +
            nomineeNo + '">Delete Nominee</button></div>');

        document.querySelector('input[class="nom_' + nomineeNo + '"]').addEventListener('change', function () {
            //alert('hey');
            //alert(input.id);
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert(this.name);
                //alert('#child-pic_' + i);
                //alert($('#nominee-pic_' + idx)[0]);
                var Id = 'nominee-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#nominee-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        document.querySelector('input[class="nom_nid_' + nomineeNo + '"]').addEventListener('change', function () {
            //alert('hey');
            //alert(input.id);
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert(this.name);
                //alert('#child-pic_' + i);
                //alert($('#nominee-nid-pic_' + idx)[0]);
                var Id = 'nominee-nid-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#nominee-nid-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        nomineeNo = nomineeNo + 1;
    }
    $('.but2').click(addNominee);
</script>




<script>

    function deleteNominee(idx) {
        var divname = 'identifier' + idx;
        $('.' + divname).remove();
        nomineeNo--;
    }
</script>

<script>
    var child = 0;
    function NomineePictureUpload() {
        //for (var child = 0; child < childNo - 1; child++) {
        //alert(childNo);
        //var nomineeNo = @Model.OwnersNomineeList.Count;
        for (var childUploadNo = 0; childUploadNo < nomineeNo; childUploadNo++) {
            //for (child = @Model.OwnersFamilyList.Count; child < childNo - 1; child++) {
            var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
            var formData = new FormData();
            //var fileToUploadField = document.getElementById("ChildPicture");
            // alert('f imran');
            var totalFiles = document.getElementById("ONNomineePicture_" + childUploadNo).files.length;
            // alert("ChildPicture_" + child);
            // alert("total files: " + totalFiles);
            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ONNomineePicture_" + childUploadNo).files[i];
                //file.name = "CPic_" + child + "_" + ownerId + ".jpg";
                //alert(file.name);
                var fileName = "ON_Pic_" + childUploadNo + "_" + ownerId + ".jpg";
                //formData.append("ChildPicture", file , "HELLO.jpg");
                formData.append("NomineePicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../OwnersInfo/UploadNomineeEdit/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>
<script>
    var child = 0;
    function NomineeNIDPictureUpload() {
        //for (var child = 0; child < childNo - 1; child++) {
        //alert(childNo);
        //var nomineeNo = @Model.OwnersNomineeList.Count;
        for (var childUploadNo = 0; childUploadNo < nomineeNo; childUploadNo++) {
            //for (child = @Model.OwnersFamilyList.Count; child < childNo - 1; child++) {
            var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
            var formData = new FormData();
            //var fileToUploadField = document.getElementById("ChildPicture");
            // alert('f imran');
            var totalFiles = document.getElementById("ONNomineeNIDPath_" + childUploadNo).files.length;
            // alert("ChildPicture_" + child);
            // alert("total files: " + totalFiles);
            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ONNomineeNIDPath_" + childUploadNo).files[i];
                //file.name = "CPic_" + child + "_" + ownerId + ".jpg";
                //alert(file.name);
                var fileName = "ON_NIDPic_" + childUploadNo + "_" + ownerId + ".jpg";
                //formData.append("ChildPicture", file , "HELLO.jpg");
                formData.append("NomineeNIDPicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../OwnersInfo/UploadNomineeEdit/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>
<script>
    function retrieveNominee() {
        //alert("inside etreive nominee");
        var ONNomineeNameList = $('input[id="ONNomineeName"]').map(function () {
            return this.value;
        }).get();

        //alert(ONNomineeNameList);

        var ONNomineeDOBList = $('input[id="ONNomineeDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeDOBList);

        var ONNomineeEmailList = $('input[id="ONNomineeEmail"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeEmailList);


        var ONNomineePictureList = $('input[id="ONNomineePicture"]').map(function () {
            return this.value;
        }).get();
        //alert("owner nominee picture list"+ONNomineePictureList);


        var ONNomineeMobileList = $('input[id="ONNomineeMobile"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeMobileList);


        var ONNomineeNIDList = $('input[id="ONNomineeNID"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineeNIDList);


        var ONNomineePermanentAddressList = $('input[id="ONNomineePermanentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePermanentAddressList);


        var ONNomineePresentAddressList = $('input[id="ONNomineePresentAddress"]').map(function () {
            return this.value;
        }).get();
        //alert(ONNomineePresentAddressList);




        var ownerId = '@Model.OwnersNomineeList[0].OwnerId';
        //alert(ownerId);

        var myModel = {
            //SpouseName: $('#spouseName').val(),
            OwnerId: ownerId,

            OwnerNomineeNameArray: ONNomineeNameList,
            OwnerNomineeMobileArray: ONNomineeMobileList,
            OwnerNomineeEmailArray: ONNomineeEmailList,
            OwnerNomineeDOBArray: ONNomineeDOBList,

            OwnerNomineePermanentAddressArray: ONNomineePermanentAddressList,
            OwnerNomineePresentAddressArray: ONNomineePresentAddressList,
            OwnerNomineeNIDArray: ONNomineeNIDList,
            OwnerNomineePictureArray: ONNomineePictureList

        };
        $.ajax({
            context: this,
            type: 'post',
            //url: '../OwnersInfo/gettingOwnerNomineeInfo/',
            url: '../OwnersInfo/gettingOwnerNomineeInfoEdit/',
            //url: '../OwnersInfo/OwnersNomineeInfoAddorEdit/',
            data: myModel,
            success: function (result) {
                //alert(myModel.PartialUserDetailsViewModels);
            },
            error: function () {
                //error();
            }
        });
    }
</script>
<script>

    function NomineeFullSubmit() {

        retrieveNominee();
        //alert("inside full submit nominee 1");
        NomineePictureUpload();
        //alert("inside full submit nominee 2");
        NomineeNIDPictureUpload();
        //alert("inside full submit nominee 4");
    }

</script>





@*project*@
<script>
    var fun = function() {
        $('.projectinstallment').append('<div><div class="row"><div class="col"><label for="OPPeriod">Time Period</label><input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod"></div><div class="col"><label for="OPDate">Date</label><input type="date" class="form-control" placeholder="Date" name="OPDate" id="OPDate"> </div><div class="col"><label for="OPAmount">Amount</label><input type="text" class="form-control " placeholder="Amount" name="OPAmount" id="OPAmount"></div></div></div>');
    }
    $('.but3').click(fun);
    function retrieveProjects() {
        var ProjectPeriod = $('input[id="OPPeriod"]').map(function () {
            return this.value;
        }).get();
        var ProjectAmount = $('input[id="OPAmount"]').map(function () {
            return this.value;
        }).get();
        var ProjectDate = $('input[id="OPDate"]').map(function () {
            return this.value;
        }).get();
        //alert(ProjectDate);

        var ownerProjectId = '@Model.OwnersProjectList[0].OwnerId';
        //alert(ownerProjectId);
        var myModel = {
            ProjectName: $('#OPProjectName').val(),
            NumberOfRoom: $('#OPNumberOfRoom').val(),
            NumberOfDays: $('#OPNumberOfDays').val(),
            PurchaseDate: $('#OPPurchaseDate').val(),
            SalesAmount: $('#OPSalesAmount').val(),
            PaidAmount: $('#OPPaidAmount').val(),
            OwnerId: ownerProjectId,
            PeriodArray: ProjectPeriod,
            AmountArray: ProjectAmount,
            DateArray: ProjectDate
        };

        //alert("in ajax ofproject");
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerProjectInfoEdit/',
            data: myModel,
            success: function (result) {
                //alert(myModel.ProjectName);
            },
            error: function () {
            }
        });

    }
</script>

@*attachments*@

<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-NID"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-TIN"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#TIN-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Passport"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#passport-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-DrivingLicense"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#driving-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Utility"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#utility-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>

@*family started*@
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-picture"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#spouse-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-NID"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#spouse-NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersFamilyList.Count;
        //alert(childNameListCnt);
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="cp_' + i + '"]').addEventListener('change', function () {
                //alert('hey');
                //alert(input.id);
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    //alert(this.name);
                    //alert('#child-pic_' + i);
                    //alert($('#child-pic_' + idx)[0]);
                    var Id = 'child-pic_' + idx;
                    //alert(document.getElementById(Id));
                    var img = $('#child-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }

    });
</script>

@*attachments started*@
<script>
    function UploadAttachmentNID() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-NID');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OANID_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentTIN() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-TIN');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OATIN_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentPassport() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Passport');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAPassport_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentDrivingLicense() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-DrivingLicense');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OADrivingLicense_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentUtility() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Utility');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAUtility_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function RetreiveAttachments() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var OANIDPath = '~/Content/attachments/' + "OANID_" + ownerId + ".jpg";
        var OATINPath = '~/Content/attachments/' + "OATIN_" + ownerId + ".jpg";
        var OAPassportPath = '~/Content/attachments/' + "OAPassport_" + ownerId + ".jpg";
        var OAUtilityPath = '~/Content/attachments/' + "OAUtility_" + ownerId + ".jpg";
        var OADrivingLicensePath = '~/Content/attachments/' + "OADrivingLicense_" + ownerId + ".jpg";
        var myModel = {
            OwnerNID: OANIDPath,
            OwnerTIN: OATINPath,
            OwnerPassport: OAPassportPath,
            OwnerUtilityBill: OAUtilityPath,
            OwnerDrivingLicense: OADrivingLicensePath,
            OwnerId: ownerId
        };
        $.ajax({
            context: this,
            type: 'post',
            //url: '../OwnersInfo/gettingOwnerAttachmentInfo/',
            url: '../OwnersInfo/gettingOwnerAttachmentInfoForEdit/',
            data: myModel,
            success: function (result) {
                //alert(result);
            },
            error: function () {
                //error();

            }
        });
    }

</script>
<script>
    function FullSubmitAttachment() {
        UploadAttachmentNID();
        UploadAttachmentTIN();
        UploadAttachmentUtility();
        UploadAttachmentDrivingLicense();
        UploadAttachmentPassport();
        RetreiveAttachments();
        //var ownerId = '@Model.OwnersAttachment.OwnerId';
        //alert("Ret");
    }
</script>


@*Family Started*@
<script>
    var childNo = @Model.OwnersFamilyList.Count;
    //var flg = false;
    var fun = function () {
        $('.children').append('<div class="child">' +
            '<div class="row">' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="Name" id="ChildName" required="required">' +
            '</div>' +
            '<div class="col">' +
            '<input type="date" class="form-control" placeholder="DOB" id="ChildDOB">' +
            '</div>' +
            '<div class="col">' +
            '<img id="child-pic_' + childNo +'" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">'+
            '<input class="cp_' + childNo + '" id="ChildPicture_' + childNo +'" name="'+childNo+'" type="file" />'+
            '</div>' +
            '</div>' +
            '</div>');

        document.querySelector('input[class="cp_' + childNo + '"]').addEventListener('change', function () {
            //alert('hey');
            //alert(input.id);
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert(this.name);
                //alert('#child-pic_' + i);
                //alert($('#child-pic_' + idx)[0]);
                var Id = 'child-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#child-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        childNo++;
        //alert("new child");
        //flg = true;
    }
    //alert(flg);
    //if (flg == true) {
    //    var idx_for_child = childNo - 1;

    //}
    $('.but').click(fun);
</script>

<script>
    function PictureUpload() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-picture');
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name,fileInput.files[i], "SPic_"+ownerId+".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadFamilyEdit/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        //alert("Spouse Picture Uploaded");
        return false;
    }

</script>
<script>
    function NIDUpload() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-NID');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "SNIDPic_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadFamilyEdit/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        //alert("Spouse NID Picture Uploaded");
        return false;
    }
</script>

<script>
    function ChildPictureUpload_2() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        //alert("CPU"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = [document.getElementById('ChildPicture')];


        var n = document.getElementById("ChildPicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ChildPicture1";
            n = document.getElementById("ChildPicture");
        }


        for(i = 0;i < a.length; ++i) {
            a[i].id = "ChildPicture";
        }

        for (i = 0; i < a.length; i++) {
            //alert("CPU" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(a[i].files[0].name);
            formdata.append(a[i].files[0].name, a[i].files[0], "CPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadFamilyEdit/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

</script>
<script>
    function ChildPictureUpload_3() {
        //alert(childNo);
        //alert("child picture upload");
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        //alert("owner id: " + ownerId+ "child no: "+ childNo);
        for (var j = 0; j < childNo - 1; j++) {
            var formdata = new FormData();
            //var fileInput = document.getElementByClassName('cp_' + j);
            //var fileInput = document.querySelector('.cp_' + j);
            var fileInput = $('.cp_' + j)[0];
            //alert('.cp_' + j);
            //alert("j= "+j+"value :" + fileInput.value);
            for (var i = 0; i < fileInput.files.length; i++) {
                //fileInput.files[i].name = ownerId;
                fileInput.files[i].name = "CPic_" + j + "_" + ownerId + ".jpg";
            }
            for (var i = 0; i < fileInput.files.length; i++) {
                formdata.append(fileInput.files[i].name, fileInput.files[i], "CPic_" + j + "_" + ownerId + ".jpg");
                //alert("hello");
            }
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../OwnersInfo/UploadFamilyEdit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                } else {
                    //alert("error");
                }
            }
            //alert("Child Pictures Upload " + j);
        }

        return false;
    }
</script>
<script>
    function ChildPictureUpload_4() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        //alert("CPU"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('ChildPicture');


        var n = document.getElementById("ChildPicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ChildPicture1";
            n = document.getElementById("ChildPicture");
        }

        for (i = 0; i < a.length; i++) {
            //alert("CPU" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(a[i].files[0].name);
            formdata.append(a[i].files[0].name, a[i].files[0], "CPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../OwnersInfo/UploadFamilyEdit2/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                alert(xhr.responseText);
            }
        }
        for(i = 0;i < a.length; ++i) {
            a[i].id = "ChildPicture";
        }
        return false;
    }

</script>
<script>
    function ChildPictureUpload_5() {
        //alert(childNo);
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var formdata = new FormData(); //FormData object
        for (var child = 0; child < childNo - 1; child++) {
            //var formdata = new FormData(); //FormData object
            var fileInput = document.querySelector(".cp_"+childNo);
            for (i = 0; i < fileInput.files.length; i++) {
                formdata.append(fileInput.files[i].name,fileInput.files[i], "CPic_"+child+"_"+ownerId+".jpg");
            }
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../OwnersInfo/UploadFamilyEdit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
        }
        //alert("Spouse Picture Uploaded");
        return false;
    }
</script>
<script>
    //function ChildPictureUpload() {
    var $f1;
    var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
    $f1 = $('#ChildPicture');
    function ChildPictureUpload_6(e) {
        e.preventDefault();
        console.log('processForm');

        var formData = new FormData();
        if ($f1.val()) {
            var fileList = $f1.get(0).files;
            for (var x = 0; x < fileList.length; x++) {
                formData.append('file' + x, fileList.item(x));
                console.log('appended a file');
            }
        }

        var request = new XMLHttpRequest();
        request.open('POST', '../OwnersInfo/UploadFamilyEdit/');
        request.send(formData);

        request.onload = function(e) {
            console.log('Request Status', request.status);
        };

    }
    //}
</script>
@*<script>
        alert(typeof ("hfhd" + 5));
    </script>*@
<script>
    var child = 0;
    function ChildPictureUpload() {
        //for (var child = 0; child < childNo - 1; child++) {
        //alert(childNo);
        for (var childUploadNo = 0; childUploadNo < childNo; childUploadNo++) {
        //for (child = @Model.OwnersFamilyList.Count; child < childNo - 1; child++) {
            var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
            var formData = new FormData();
            //var fileToUploadField = document.getElementById("ChildPicture");

            var totalFiles = document.getElementById("ChildPicture_" + childUploadNo).files.length;
            //alert("ChildPicture_" + child);
            //alert("total files: " + totalFiles);
            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ChildPicture_" + childUploadNo).files[i];
                //file.name = "CPic_" + child + "_" + ownerId + ".jpg";
                //alert(file.name);
                var fileName = "CPic_" + childUploadNo + "_" + ownerId + ".jpg";
                //formData.append("ChildPicture", file , "HELLO.jpg");
                formData.append("ChildPicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../OwnersInfo/Upload_Test/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>

<script>
    function retrieve() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildName);

        var ChildDOB = $('input[id="ChildDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildDOB);
        var ChildPicture = $('input[id="ChildPicture"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildPicture);
        //alert("ajax1");
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var fileInputNID = document.getElementById('upload-file-NID');
        var SpouseNIDPicturePath = '~/Content/families/' + "SNIDPic_" + ownerId + ".jpg";
        var fileInputSpousePicture = document.getElementById('upload-file-picture');
        var SpousePicturePath = '~/Content/families/' +
            "SPic_" + ownerId + ".jpg";
        var myModel = {
            SpouseName: $('#spouseName').val(),
            SpouseDOB: $('#spouseDOB').val(),
            SpouseNID: $('#spouseNID').val(),
            SpouseEmail: $('#spouseEmail').val(),
            SpouseMobile: $('#spouseMobile').val(),
            SpouseNIDPath: SpouseNIDPicturePath,
            SpousePicture: SpousePicturePath,

            OwnerId: ownerId,
            ChildNameArray: ChildName,
            ChildDOBArray: ChildDOB,
            ChildPictureArray: ChildPicture,
            NoOfChild: childNo - 1
        };
        //alert("Spouse Name" + myModel.SpouseName);
        //alert("ajax2");
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerFamilyInfoEdit/',
            data: myModel,
            success: function (result) {
                //alert(result+ "IsSuccess");
            },
            error: function () {
                //error();
                //alert("family i fucafaf ");
            }
        });
    }
</script>
<script>
    function FullSubmit() {
        //ShowingToastr();
        PictureUpload();
        NIDUpload();
        //ChildPictureUpload();
        retrieve();
        //alert("after retrieve");
        //alert("before child picture upload");
        ChildPictureUpload();
        //alert("after child picture upload");
    }
</script>
<script>

    function ShowingToastr() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        var len = ChildName.length;
        var flg = false;
        for (var i = 0; i < len; i++) {
            if (ChildName[i] == "") {
                flg = true;
                break;
            }
        }
        if (flg == true) {
            toastr.error('Please Fill Up All the Child Name', 'Error!!!!', {
                closeButton: true,
                progressBar: true,
            });
        }
    }
</script>
<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>